com.jscape.inet.mft.audit.reporting

## Class Report

- java.lang.Object
- - com.jscape.inet.mft.audit.reporting.Report

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class Report
      extends java.lang.Object
      implements java.io.Serializable, com.jscape.util.db.IntVersioned

  Report implementation.
  Author:
    Alex
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Report()` Creates a new report instance.
    `Report(Report that)` Copy constructor.
    `Report(java.lang.String name, java.util.Date date, java.lang.String description, java.lang.String searchName, boolean reRunSearch, Metrics[] metricses, int completenessPercents, java.lang.String errorMessage, long creationDate, int version)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `completed()`
    `boolean` | `equals(java.lang.Object o)`
    `boolean` | `errorOccurred()`
    `int` | `getCompletenessPercents()` Returns report completeness percents.
    `long` | `getCreationDate()`
    `java.util.Date` | `getDate()` Returns report creation date.
    `java.lang.String` | `getDescription()` Returns report description.
    `java.lang.String` | `getErrorMessage()` Returns report error message if any.
    `Metrics[]` | `getMetricses()` Returns report metricses.
    `java.lang.String` | `getName()` Returns report name.
    `java.lang.String` | `getSearchName()` Returns target search name.
    `int` | `getVersion()`
    `int` | `hashCode()`
    `boolean` | `isReRunSearch()` Returns re-run search flag.
    `void` | `reset()` Resets report data.
    `boolean` | `searchResultUsed()`
    `void` | `setCompletenessPercents(int value)` Sets report completeness percents.
    `void` | `setCreationDate(long value)`
    `void` | `setDate(java.util.Date value)` Sets report creation date.
    `void` | `setDescription(java.lang.String value)` Sets report description.
    `void` | `setEndDate(java.util.Date value)` Sets ending date for filtering records.
    `void` | `setErrorMessage(java.lang.String value)` Sets report error message.
    `void` | `setMetricses(Metrics[] value)` Sets report metricses.
    `void` | `setName(java.lang.String value)` Sets report name.
    `void` | `setReRunSearch(boolean value)` Sets a re-run search flag.
    `void` | `setSearchName(java.lang.String searchName)` Seta a target search name.
    `void` | `setStartDate(java.util.Date value)` Sets starting date for filtering records.
    `void` | `setUsername(java.lang.String value)` Sets target username for filtering records.
    `void` | `setVersion(int value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Report

          public Report(java.lang.String name,
                        java.util.Date date,
                        java.lang.String description,
                        java.lang.String searchName,
                        boolean reRunSearch,
                        Metrics[] metricses,
                        int completenessPercents,
                        java.lang.String errorMessage,
                        long creationDate,
                        int version)

    - #### Report

          public Report()

      Creates a new report instance.

    - #### Report

          public Report(Report that)

      Copy constructor.
      Parameters:
        `that` - the instance to copy

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns report name.
      Returns:
        report name

    - #### setName

          public void setName(java.lang.String value)

      Sets report name.
      Parameters:
        `value` - the report name

    - #### getDate

          public java.util.Date getDate()

      Returns report creation date.
      Returns:
        report creation date

    - #### setDate

          public void setDate(java.util.Date value)

      Sets report creation date.
      Parameters:
        `value` - the report creation date

    - #### getDescription

          public java.lang.String getDescription()

      Returns report description.
      Returns:
        report description

    - #### setDescription

          public void setDescription(java.lang.String value)

      Sets report description.
      Parameters:
        `value` - the report description

    - #### getSearchName

          public java.lang.String getSearchName()

      Returns target search name.
      Returns:
        target search name

    - #### setSearchName

          public void setSearchName(java.lang.String searchName)

      Seta a target search name.
      Parameters:
        `searchName` - a search name

    - #### isReRunSearch

          public boolean isReRunSearch()

      Returns re-run search flag.
      Returns:
        `true` if search should be re-run when running the report; `false` otherwise

    - #### setReRunSearch

          public void setReRunSearch(boolean value)

      Sets a re-run search flag.
      Parameters:
        `value` - if `true` a search will be re-run hen running the report

    - #### getMetricses

          public Metrics[] getMetricses()

      Returns report metricses.
      Returns:
        report metricses.

    - #### setMetricses

          public void setMetricses(Metrics[] value)

      Sets report metricses.
      Parameters:
        `value` - the report metricses

    - #### getCompletenessPercents

          public int getCompletenessPercents()

      Returns report completeness percents.
      Returns:
        report completeness percents

    - #### setCompletenessPercents

          public void setCompletenessPercents(int value)

      Sets report completeness percents.
      Parameters:
        `value` - the report completeness percents

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Returns report error message if any.
      Returns:
        report error message

    - #### setErrorMessage

          public void setErrorMessage(java.lang.String value)

      Sets report error message.
      Parameters:
        `value` - the report error message

    - #### reset

          public void reset()

      Resets report data.

    - #### setStartDate

          public void setStartDate(java.util.Date value)

      Sets starting date for filtering records.
      Parameters:
        `value` - starting date

    - #### setEndDate

          public void setEndDate(java.util.Date value)

      Sets ending date for filtering records.
      Parameters:
        `value` - ending date

    - #### setUsername

          public void setUsername(java.lang.String value)

      Sets target username for filtering records.
      Parameters:
        `value` - target username

    - #### completed

          public boolean completed()

    - #### errorOccurred

          public boolean errorOccurred()

    - #### searchResultUsed

          public boolean searchResultUsed()

    - #### getCreationDate

          public long getCreationDate()

    - #### setCreationDate

          public void setCreationDate(long value)

    - #### getVersion

          public int getVersion()

      Specified by:
        `getVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### setVersion

          public void setVersion(int value)

      Specified by:
        `setVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved